Cyberduck Mountain Duck CLI

#9253 closed defect (fixed)

Folders with a leading dot should get hidden attribute

Reported by: dirkpetersen Owned by: dkocher
Priority: high Milestone: 4.8
Component: mountain duck Version: 4.7.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by dkocher)

We are using the openstack swift python client and other commercials tools (SME drive, cloudberry drive, etc) to access a swift object store. We would love to use mountain duck but currently it does not allow us to hide segment containers created by the swift client because it does not set the hidden attribute on folders with leading dot. This means we are having a real usability issue. Many users have a long list of containers with a leading dot but they are not aware of it because they are hidden. If they suddenly saw all these containers it would be very confusing to them

S:\>dir /AH
 Volume in drive S is OpenStack
 Volume Serial Number is 1976-0407

 Directory of S:\

12/29/1899  04:00 PM    <DIR>          .large_objects_segments
12/29/1899  04:00 PM    <DIR>          .segments_5GB
12/29/1899  04:00 PM    <DIR>          .segments_EDI_Iressa
12/29/1899  04:00 PM    <DIR>          .segments_OpenVPN
12/29/1899  04:00 PM    <DIR>          .segments_RareCyte
12/29/1899  04:00 PM    <DIR>          .segments_SciComp
12/29/1899  04:00 PM    <DIR>          .segments_archive
12/29/1899  04:00 PM    <DIR>          .segments_bam
12/29/1899  04:00 PM    <DIR>          .segments_bamtest
12/29/1899  04:00 PM    <DIR>          .segments_booboo
12/29/1899  04:00 PM    <DIR>          .segments_bradley_r
12/29/1899  04:00 PM    <DIR>          .segments_dna-test
12/29/1899  04:00 PM    <DIR>          .segments_edi_pipeline
12/29/1899  04:00 PM    <DIR>          .segments_gizmo
12/29/1899  04:00 PM    <DIR>          .segments_jkatcher
12/29/1899  04:00 PM    <DIR>          .segments_jkatcher2
12/29/1899  04:00 PM    <DIR>          .segments_jkatcher3
12/29/1899  04:00 PM    <DIR>          .segments_mcintosh_m
12/29/1899  04:00 PM    <DIR>          .segments_moinmoin
12/29/1899  04:00 PM    <DIR>          .segments_moinmoinmoin
12/29/1899  04:00 PM    <DIR>          .segments_new_container
12/29/1899  04:00 PM    <DIR>          .segments_paulovich_a
12/29/1899  04:00 PM    <DIR>          .segments_sub
12/29/1899  04:00 PM    <DIR>          .segments_swift
12/29/1899  04:00 PM    <DIR>          .segments_tcga_arch
12/29/1899  04:00 PM    <DIR>          .segments_temp
12/29/1899  04:00 PM    <DIR>          .segments_test
12/29/1899  04:00 PM    <DIR>          .segments_test1
12/29/1899  04:00 PM    <DIR>          .segments_test2
12/29/1899  04:00 PM    <DIR>          .segments_test3
12/29/1899  04:00 PM    <DIR>          .segments_test_swift
12/29/1899  04:00 PM    <DIR>          .segments_testcontainer2
12/29/1899  04:00 PM    <DIR>          .segments_testing
12/29/1899  04:00 PM    <DIR>          .segments_testitest
12/29/1899  04:00 PM    <DIR>          .segments_testr
12/29/1899  04:00 PM    <DIR>          .segments_testtmp
12/29/1899  04:00 PM    <DIR>          .segments_tmp
12/29/1899  04:00 PM    <DIR>          .segments_user_cbenson
12/29/1899  04:00 PM    <DIR>          .segments_user_petersen
12/29/1899  04:00 PM    <DIR>          .segments_util
12/29/1899  04:00 PM    <DIR>          .segments_util1
12/29/1899  04:00 PM    <DIR>          .segments_util2
               0 File(s) 1,499,739,179,127 bytes
              42 Dir(s)  521,527,767,040 bytes free

Change History (3)

comment:1 Changed on Feb 9, 2016 at 8:45:43 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Feb 9, 2016 at 8:56:01 AM by dkocher

  • Milestone set to 4.8
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from folders with a leading dot should get hidden attribute to Folders with a leading dot should get hidden attribute

comment:3 Changed on Feb 10, 2016 at 3:54:08 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.